<?php

namespace Planaday\Utility\FormBuilder\InputFields;

use Planaday\Utility\FormBuilder\DataTypes\BoolType;
use Planaday\Utility\FormBuilder\InputField;

/**
 * @implements InputField<bool>
 */
class BoolInput implements InputField {
	use BasicInputField;

	public function __construct(BoolType $type = new BoolType()) {
		$this->dataType = $type;
	}

	public function getImplJson(): array {
		return [
			"type" => 'bool'
		];
	}
}